<?
require "../../conexion/conectar.php";
require("../../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();


$id=$_REQUEST['id'];
$rfc=$_REQUEST['rfc'];
$tipodocto=$_REQUEST['tipodocto'];
$serie=$_REQUEST['serie'];
$folio=$_REQUEST['folio'];
$uuid=$_REQUEST['uuid'];
$idunico=$_REQUEST['idunico'];

$fecha = date('Y-m-d');



$query="select fecha_pago from pago_doc_detalle where id=".$_REQUEST['id']." limit 1";
$result = mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($result) > 0){
	$tmp=mysqli_fetch_array($result,MYSQLI_ASSOC);
	if(!valida_fecha(mes_siguiente($tmp['fecha_pago'],0,17,false))){
		?><script>alert('ERROR: No se puede eliminar el pago, ha pasado el tiempo limite.');</script><?
		exit;
	}
}

if(isset($_REQUEST['id'])){
	$query="delete from pago_doc_detalle where id=".$_REQUEST['id'];
	//$query="delete from pago_doc_detalle where id=0";
	if(!mysqli_query($conexion->CONEXION,$query)){
		?><script>alert('ERROR: No fue posible eliminar el pago, intente nuevamente.<?="error: ".mysqli_error($conexion->CONEXION)?>');</script><?
	}else{
		$result2 = mysqli_query($conexion->CONEXION,"select status_pago,total from recibedoce where rfcemisor='$rfc' and tipodocto='$tipodocto' and serie='$serie' and folio='$folio' and uuid='$uuid' limit 1");
			if(mysqli_num_rows($result2) > 0){
				$temp=mysqli_fetch_array($result2,MYSQLI_ASSOC);
				$totalFactura=$temp['total'];
				
				$qSuma = "select sum(monto) as suma from pago_doc_detalle 
				where rfcemisor='$rfc' and tipodocto='$tipodocto' and serie='$serie' and folio='$folio' and uuid='$uuid'";
				
				$resultSuma = mysqli_query($conexion->CONEXION,$qSuma);
				
				$suma=0;
				$totalSuma=0;
				if(mysqli_num_rows($resultSuma) > 0){
					$tmpSuma=mysqli_fetch_array($resultSuma,MYSQLI_ASSOC);
					$suma = $tmpSuma['suma'];
				}
				
			}
			?><script>document.getElementById('icono_pago_<?=$idunico?>').src="Imagenes/pendiente_pago.png";</script><?
	
		mysqli_query($conexion->CONEXION,"update recibedoce set status_pago='R' where rfcemisor='$rfc' and tipodocto='$tipodocto' and serie='$serie' and folio='$folio' and uuid='$uuid'");
		
		$qFile = "select fechadocto,archivoxml,archivopdf,rfc_receptor,fecharecibido,id,total from recibedoce 
			where rfcemisor='$rfc' and tipodocto='$tipodocto' and serie='$serie' and folio='$folio' and uuid='$uuid' limit 1";
	
	
		$resultDatos = mysqli_query($conexion->CONEXION,$qFile);
		$totalFactura=0;
		if(mysqli_num_rows($resultDatos) > 0){
			$tmpDatos=mysqli_fetch_array($resultDatos,MYSQLI_ASSOC);
			//$fechadocto=$tmpDatos["fecharecibido"];
			$fechadocto=$tmp['fecha_pago'];
			$archivoxml=$tmpDatos["archivoxml"];
			$archivopdf=$tmpDatos["archivopdf"];
			$rfc_receptor=$tmpDatos["rfc_receptor"];
			$totalFactura=$tmpDatos["total"];
			$idDoc=$tmpDatos["id"];
			
			$stDoc="";
		
			if(substr($tmpDatos["fechadocto"],0,4) < substr($fecha,0,4)){
				$stDoc="_EJERCICIOANT";
			}else if(substr($tmpDatos["fechadocto"],5,2) < substr($fecha,5,2)){
				$stDoc="_MESANT";
			}
			
			$info = pathinfo($archivoxml);
			$aXML = basename($archivoxml,'.'.$info['extension']).$stDoc."_".$idDoc.".xml";
			$info = pathinfo($archivopdf);
			$aPDF = basename($archivopdf,'.'.$info['extension']).$stDoc."_".$idDoc.".pdf";

		}
		
		if(!$RUTA_ALMACEN_PAGADAS=trim(getINI("RUTA_ALMACEN_PAGADAS=","../../config.ini"))){
			echo "Falta una configuracion en el sistema.<br/>Llame al administrador del sistema";exit;
		}

		$arrVars = array("<<RFCRECEPTOR>>","<<RFCEMISOR>>","<<TIPODOCTO>>","<<ANIO>>","<<MES>>","<<DIA>>");
		
		$arrVals = array($rfc_receptor,$rfcemisor,$tipodocto,substr($fechadocto,0,4),substr($fechadocto,5,2),substr($fechadocto,8,2));
		
		$RUTA_ALMACEN_PAGADAS=str_replace($arrVars,$arrVals,$RUTA_ALMACEN_PAGADAS);
		
		//echo $RUTA_ALMACEN_PAGADAS.$aXML;exit;
		
		if(file_exists($RUTA_ALMACEN_PAGADAS.$aXML)){
			if(!unlink($RUTA_ALMACEN_PAGADAS.$aXML)){
				echo "Hubo un error al eliminar el XML. Intente nuevamente.";
				exit;
			}
		}
		if(file_exists($RUTA_ALMACEN_PAGADAS.$aPDF)){
			if(!unlink($RUTA_ALMACEN_PAGADAS.$aPDF)){
				echo "Hubo un error al eliminar el PDF. Intente nuevamente";
				exit;
			}
		}
		
	}
}


function mes_siguiente($fecha,$mes,$dias,$mes_actual){
    if(!$mes_actual){
        $dias = $dias-1;
        $fechaS = date("Y-m-d", strtotime("$fecha 1 month"));
        $afechaS = explode('-',$fechaS);
        $fechaS=$afechaS[0]."-".$afechaS[1]."-01";
        $fechaS = date("Y-m-d", strtotime("$fechaS $mes month"));
        $fechaS = date("Y-m-d", strtotime("$fechaS $dias days"));
    }else{
        $fechaS = date("Y-m-d", strtotime("$fecha $mes month"));
        $fechaS = date("Y-m-d", strtotime("$fechaS $dias days"));
    }
    
    return $fechaS;
}
function valida_fecha($fechaI){
    $aFechaI = explode("-", $fechaI);
    $fechaHoy = date("Y-m-d");
    $aFechaF = explode("-", $fechaHoy);
    
    $yearFechaI = (integer) $aFechaI[0];
    $mesFechaI = (integer) $aFechaI[1];
    $diaFechaI = (integer) $aFechaI[2];
    
    $yearFechaF = (integer) $aFechaF[0];
    $mesFechaF = (integer) $aFechaF[1];
    $diaFechaF = (integer) $aFechaF[2];
    
    
       //$yearFechaI -> siguiente
        //$yearFechaF -> Hoy
    if($yearFechaI > $yearFechaF){
        return 1;
    }elseif($yearFechaI < $yearFechaF){
        return 0;
    }else{ 
        
        if($mesFechaI > $mesFechaF){
            return 1;
        }elseif($mesFechaI < $mesFechaF){
            return 0;
        }else{
            if($diaFechaI > $diaFechaF){
                return 1;
            }elseif($diaFechaI == $diaFechaF){
                return 1;
            }else{
                return 0;
            }
        }
    }
}

?>
<script>
cargaPagos();
$j_6("#totalDetalle").html('<?=$suma?>');
$j_6("#diferencia").html('<?=$totalFactura-$suma?>');
</script>